# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

import model_pb2 as model__pb2


class DatabrokerStub(object):
    """Define the service
    """

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.hppdatabroker = channel.unary_unary(
                '/Databroker/hppdatabroker',
                request_serializer=model__pb2.Empty.SerializeToString,
                response_deserializer=model__pb2.Features.FromString,
                )
        self.get_dataset_metadata = channel.unary_unary(
                '/Databroker/get_dataset_metadata',
                request_serializer=model__pb2.Empty.SerializeToString,
                response_deserializer=model__pb2.DatasetFeatues.FromString,
                )


class DatabrokerServicer(object):
    """Define the service
    """

    def hppdatabroker(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def get_dataset_metadata(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_DatabrokerServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'hppdatabroker': grpc.unary_unary_rpc_method_handler(
                    servicer.hppdatabroker,
                    request_deserializer=model__pb2.Empty.FromString,
                    response_serializer=model__pb2.Features.SerializeToString,
            ),
            'get_dataset_metadata': grpc.unary_unary_rpc_method_handler(
                    servicer.get_dataset_metadata,
                    request_deserializer=model__pb2.Empty.FromString,
                    response_serializer=model__pb2.DatasetFeatues.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'Databroker', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class Databroker(object):
    """Define the service
    """

    @staticmethod
    def hppdatabroker(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/Databroker/hppdatabroker',
            model__pb2.Empty.SerializeToString,
            model__pb2.Features.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def get_dataset_metadata(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/Databroker/get_dataset_metadata',
            model__pb2.Empty.SerializeToString,
            model__pb2.DatasetFeatues.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
